Ace-T's Blog 내 검색 [네이버 커넥트 이웃 합니다~^-^/ 요청 大 환영~~]

<안정적인 버전> 루씬과 루크

OpenSource/Lucene 2012.09.06 20:12
[Good Comment!!, Good Discussion!!, Good Contens!!]
[ If you think that is useful, please click the finger on the bottom~^-^good~ ]
by ace-T


스터디 2일차에 셋팅 루씬 3.6x를 하였고 색인을 보다보니
루크라는 녀석이 있었다..이녀석은..루씬 3.6.1에대한 녀석은 없었다..찾아보니 버그리포팅에 올라와있었고 lucene3.6.patch라는파일이 있었지만 어떻게 적용시켜야할지 몰라..버전을 조금 닞추기로 하였다.

lucene 3.6.1 -> 2.9.4
원인 : luke 지원(루씬 3.6.1 ver 지원 X)

# 2.9.4는 신규 문법이 아니라서..
Luke 3.5.0 (using Lucene 3.5.0)

<아래는 바꾼 근거 입니다.>
Current stable release of Luke is 4.0.0-ALPHA and it includes Lucene 4.0.0-ALPHA and Hadoop 0.20.2. Available is also Luke 3.5.0 (using Lucene 3.5.0), Luke 1.0.1 (using Lucene 3.0.1), 0.9.9.1 based on Lucene 2.9.1, and other versions as well - please see the Downloads section.

AND
아래처럼..3.5.0은 API가 제공 되어진다.^0^good~


- 끝 -

'OpenSource > Lucene' 카테고리의 다른 글

[Study_4회차(2)] Lucene 셋팅(3.5.0)  (0) 2012.09.07
[Study_4회차(1)] Luke 셋팅  (0) 2012.09.06
<안정적인 버전> 루씬과 루크  (0) 2012.09.06
[Study_3회차] Lucene 색인 분석  (0) 2012.08.30
[Study_2회차] Lucene 셋팅  (2) 2012.08.29
[Study_1회차] Lucene이란??  (0) 2012.08.28

설정

트랙백

댓글

:::: facebook을 이용하시는 분들은 로그인 후 아래에 코멘트를 남겨주세요 ::::

티스토리 툴바